[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# TClipboard.HasFormatName

Indicates whether a clipboard format exists with the specified name (MIME type).

## Declaration

Source position: clipbrd.pp line 215

`public function TClipboard.HasFormatName(`
`const FormatName: string`
`):Boolean;`

## Arguments

`FormatName` |  | Name for the clipboard format (MIME type) requested3 in the method.

## Function result

True if the named format is found.

## Description

Calls FindFormatID to get a TClipBoardFormat using the specified MIME type in FormatName. Returns True if a clipboard format for the name specified in FormatName exists in the supported formats for the clipboard.